List Task Artifacts
curl --request GET \
--url https://app.usequanta.com/admin_api/tasks/{occurrence_qid}/artifacts \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.usequanta.com/admin_api/tasks/{occurrence_qid}/artifacts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.usequanta.com/admin_api/tasks/{occurrence_qid}/artifacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.usequanta.com/admin_api/tasks/{occurrence_qid}/artifacts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.usequanta.com/admin_api/tasks/{occurrence_qid}/artifacts"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.usequanta.com/admin_api/tasks/{occurrence_qid}/artifacts")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.usequanta.com/admin_api/tasks/{occurrence_qid}/artifacts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"qid": "<string>",
"occurrence_qid": "<string>",
"artifact_key": "<string>",
"kind": "CHECK",
"status": "PASSED",
"label": "<string>",
"summary": "<string>",
"related_records": [
{}
],
"result_record": {},
"workpaper_path": "<string>",
"action_type": "create_manual_journal_entry",
"latest_source_type": "CLOSE_REVIEW_RUN",
"latest_source_qid": "<string>",
"latest_source_decision_key": "<string>",
"resolved_by_user_qid": "<string>",
"resolved_at": "2023-11-07T05:31:56Z",
"resolution_reason_code": "<string>",
"resolution_note": "<string>",
"latest_event_type": "OBSERVED",
"latest_event_source_qid": "<string>",
"latest_event_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"current_output": {
"id": "<string>",
"title": "<string>",
"summary": "<string>",
"evidence": [
{
"type": "<string>",
"description": "<string>",
"amounts": [],
"ref_label": "<string>",
"dataset": "<string>",
"sql": "<string>",
"value": "<string>",
"as_of": "<string>",
"qid": "<string>",
"path": "<string>"
}
],
"blocking": true,
"result": {
"type": "check",
"outcome": "pass",
"records": [
{
"kind": "<string>",
"qid": "<string>",
"label": "<string>"
}
]
},
"leaf_key": "<string>",
"component_key": "<string>",
"workpaper_path": "<string>",
"alternatives": [
{
"id": "<string>",
"label": "<string>",
"result": {
"type": "booking",
"transaction": {
"kind": "<string>",
"qid": "<string>",
"label": "<string>"
},
"before": [
{
"amount": {
"amount": "<string>",
"currency": "AED"
},
"description": "<string>",
"gl_account_qid": "<string>",
"vendor_qid": "<string>",
"department_qid": "<string>",
"recognition": {
"num_amortization_months": 123,
"start_date": "2023-12-25",
"vendor_recognition_type": "PREPAID_SPEC",
"effective_day_of_the_month": "last"
},
"match": {
"type": "source_match",
"targets": [
{
"qid": "<string>",
"entity_type": "brex_reimbursement"
}
]
},
"booking_item_qid": "<string>"
}
],
"after": [
{
"amount": {
"amount": "<string>",
"currency": "AED"
},
"description": "<string>",
"gl_account_qid": "<string>",
"vendor_qid": "<string>",
"department_qid": "<string>",
"recognition": {
"num_amortization_months": 123,
"start_date": "2023-12-25",
"vendor_recognition_type": "PREPAID_SPEC",
"effective_day_of_the_month": "last"
},
"match": {
"type": "source_match",
"targets": [
{
"qid": "<string>",
"entity_type": "brex_reimbursement"
}
]
},
"booking_item_qid": "<string>"
}
],
"recommendation": "<string>",
"expected_outcome": "<string>"
}
}
]
},
"resolved_by_name": "<string>"
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}tasks
List Task Artifacts
GET
/
admin_api
/
tasks
/
{occurrence_qid}
/
artifacts
List Task Artifacts
curl --request GET \
--url https://app.usequanta.com/admin_api/tasks/{occurrence_qid}/artifacts \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.usequanta.com/admin_api/tasks/{occurrence_qid}/artifacts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.usequanta.com/admin_api/tasks/{occurrence_qid}/artifacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.usequanta.com/admin_api/tasks/{occurrence_qid}/artifacts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.usequanta.com/admin_api/tasks/{occurrence_qid}/artifacts"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.usequanta.com/admin_api/tasks/{occurrence_qid}/artifacts")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.usequanta.com/admin_api/tasks/{occurrence_qid}/artifacts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"qid": "<string>",
"occurrence_qid": "<string>",
"artifact_key": "<string>",
"kind": "CHECK",
"status": "PASSED",
"label": "<string>",
"summary": "<string>",
"related_records": [
{}
],
"result_record": {},
"workpaper_path": "<string>",
"action_type": "create_manual_journal_entry",
"latest_source_type": "CLOSE_REVIEW_RUN",
"latest_source_qid": "<string>",
"latest_source_decision_key": "<string>",
"resolved_by_user_qid": "<string>",
"resolved_at": "2023-11-07T05:31:56Z",
"resolution_reason_code": "<string>",
"resolution_note": "<string>",
"latest_event_type": "OBSERVED",
"latest_event_source_qid": "<string>",
"latest_event_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"current_output": {
"id": "<string>",
"title": "<string>",
"summary": "<string>",
"evidence": [
{
"type": "<string>",
"description": "<string>",
"amounts": [],
"ref_label": "<string>",
"dataset": "<string>",
"sql": "<string>",
"value": "<string>",
"as_of": "<string>",
"qid": "<string>",
"path": "<string>"
}
],
"blocking": true,
"result": {
"type": "check",
"outcome": "pass",
"records": [
{
"kind": "<string>",
"qid": "<string>",
"label": "<string>"
}
]
},
"leaf_key": "<string>",
"component_key": "<string>",
"workpaper_path": "<string>",
"alternatives": [
{
"id": "<string>",
"label": "<string>",
"result": {
"type": "booking",
"transaction": {
"kind": "<string>",
"qid": "<string>",
"label": "<string>"
},
"before": [
{
"amount": {
"amount": "<string>",
"currency": "AED"
},
"description": "<string>",
"gl_account_qid": "<string>",
"vendor_qid": "<string>",
"department_qid": "<string>",
"recognition": {
"num_amortization_months": 123,
"start_date": "2023-12-25",
"vendor_recognition_type": "PREPAID_SPEC",
"effective_day_of_the_month": "last"
},
"match": {
"type": "source_match",
"targets": [
{
"qid": "<string>",
"entity_type": "brex_reimbursement"
}
]
},
"booking_item_qid": "<string>"
}
],
"after": [
{
"amount": {
"amount": "<string>",
"currency": "AED"
},
"description": "<string>",
"gl_account_qid": "<string>",
"vendor_qid": "<string>",
"department_qid": "<string>",
"recognition": {
"num_amortization_months": 123,
"start_date": "2023-12-25",
"vendor_recognition_type": "PREPAID_SPEC",
"effective_day_of_the_month": "last"
},
"match": {
"type": "source_match",
"targets": [
{
"qid": "<string>",
"entity_type": "brex_reimbursement"
}
]
},
"booking_item_qid": "<string>"
}
],
"recommendation": "<string>",
"expected_outcome": "<string>"
}
}
]
},
"resolved_by_name": "<string>"
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Quanta Services API scoped bearer token. Supported only on Services API routes.
Path Parameters
Response
Successful Response
Available options:
CHECK, INPUT, PROPOSAL, RECORD Available options:
PASSED, READY, PROVISIONAL, NEEDS_INPUT, BLOCKED, REVIEW, RESOLVED, APPLIED, PARTIALLY_APPLIED, NOT_RIGHT, IRRELEVANT, SUPERSEDED Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
create_manual_journal_entry, edit_journal_entry, open_record, request_input, update_booking, update_vendor_mapping, publish_leaf, remove_duplicate_payroll, remove_duplicate_invoice Available options:
CLOSE_REVIEW_RUN, WORK_TURN, OPERATOR Available options:
OBSERVED, STATUS_CHANGED, REOPENED Show child attributes
Show child attributes